=== modified file 'utilities/rocketfuel-get'
--- utilities/rocketfuel-get	2008-06-20 08:11:46 +0000
+++ utilities/rocketfuel-get	2008-06-24 19:33:53 +0000
@@ -8,6 +8,7 @@
 DEVPAD="devpad.canonical.com"
 ROCKETFUELDEPS="/code/rocketfuel-built/launchpad/sourcecode/*"
 RSYNCOPTIONS="-avp --partial --progress --delete"
+# Note, we also add a filter when rsync is evoked.
 
 # Make sure we have an ssh key primed
 ssh-add -l
@@ -26,7 +27,10 @@
 # Update the source dependencies
 if [ ! -d $SOURCEDEPS ]; then mkdir -p $SOURCEDEPS; fi
 
-rsync $RSYNCOPTIONS $DEVPAD:$ROCKETFUELDEPS $SOURCEDEPS/
+# Several (*) have tried, and failed, to get the --filter to fit neatly
+# into RSYNCOPTIONS, so we put it here. Bash arrays do not count.
+#   * elmo, sabdfl
+rsync --filter=". utilities/sourcedeps.filter" $RSYNCOPTIONS $DEVPAD:$ROCKETFUELDEPS $SOURCEDEPS/
 
 cd ~/canonical/lp-branches
 for branch in *; do

=== added file 'utilities/sourcedeps.filter'
--- utilities/sourcedeps.filter	1970-01-01 00:00:00 +0000
+++ utilities/sourcedeps.filter	2008-06-24 19:33:53 +0000
@@ -0,0 +1,3 @@
+P *.o
+P *.pyc
+P *.so

